<a id="mypy-boto3-lookoutvision"></a>

# mypy-boto3-lookoutvision

[![PyPI - mypy-boto3-lookoutvision](https://img.shields.io/pypi/v/mypy-boto3-lookoutvision.svg?color=blue)](https://pypi.org/project/mypy-boto3-lookoutvision)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/mypy-boto3-lookoutvision.svg?color=blue)](https://pypi.org/project/mypy-boto3-lookoutvision)
[![Docs](https://img.shields.io/readthedocs/mypy-boto3-builder.svg?color=blue)](https://mypy-boto3-builder.readthedocs.io/)
[![PyPI - Downloads](https://img.shields.io/pypi/dm/mypy-boto3-lookoutvision?color=blue)](https://pypistats.org/packages/mypy-boto3-lookoutvision)

![boto3.typed](https://github.com/vemel/mypy_boto3_builder/raw/master/logo.png)

Type annotations for
[boto3.LookoutforVision 1.20.46](https://boto3.amazonaws.com/v1/documentation/api/1.20.46/reference/services/lookoutvision.html#LookoutforVision)
service compatible with [VSCode](https://code.visualstudio.com/),
[PyCharm](https://www.jetbrains.com/pycharm/),
[Emacs](https://www.gnu.org/software/emacs/),
[Sublime Text](https://www.sublimetext.com/),
[mypy](https://github.com/python/mypy),
[pyright](https://github.com/microsoft/pyright) and other tools.

Generated by
[mypy-boto3-builder 6.4.1](https://github.com/vemel/mypy_boto3_builder).

More information can be found on
[boto3-stubs](https://pypi.org/project/boto3-stubs/) page and in
[mypy-boto3-lookoutvision docs](https://vemel.github.io/boto3_stubs_docs/mypy_boto3_lookoutvision/)

See how it helps to find and fix potential bugs:

![boto3-stubs demo](https://github.com/vemel/mypy_boto3_builder/raw/master/demo.gif)

- [mypy-boto3-lookoutvision](#mypy-boto3-lookoutvision)
  - [How to install](#how-to-install)
    - [VSCode extension](#vscode-extension)
    - [From PyPI with pip](#from-pypi-with-pip)
  - [Usage](#usage)
    - [VSCode](#vscode)
    - [PyCharm](#pycharm)
    - [Other IDEs](#other-ides)
    - [mypy](#mypy)
    - [pyright](#pyright)
  - [Explicit type annotations](#explicit-type-annotations)
    - [Client annotations](#client-annotations)
    - [Paginators annotations](#paginators-annotations)
    - [Literals](#literals)
    - [Typed dictionaries](#typed-dictionaries)
  - [Versioning](#versioning)
  - [Documentation](#documentation)
  - [Support and contributing](#support-and-contributing)

<a id="how-to-install"></a>

## How to install

<a id="vscode-extension"></a>

### VSCode extension

Add
[AWS Boto3](https://marketplace.visualstudio.com/items?itemName=Boto3typed.boto3-ide)
extension to your VSCode and run `AWS boto3: Quick Start` command.

Click `Modify` and select `boto3 common` and `LookoutforVision`.

<a id="from-pypi-with-pip"></a>

### From PyPI with pip

Install `boto3-stubs` for `LookoutforVision` service.

```bash
python -m pip install boto3-stubs[lookoutvision]
```

<a id="usage"></a>

## Usage

<a id="vscode"></a>

### VSCode

- Install
  [Python extension](https://marketplace.visualstudio.com/items?itemName=ms-python.python)
- Install
  [Pylance extension](https://marketplace.visualstudio.com/items?itemName=ms-python.vscode-pylance)
- Set `Pylance` as your Python Language Server
- Install `boto3-stubs[lookoutvision]` in your environment:
  `python -m pip install 'boto3-stubs[lookoutvision]'`

Both type checking and auto-complete should work for `LookoutforVision`
service. No explicit type annotations required, write your `boto3` code as
usual.

<a id="pycharm"></a>

### PyCharm

- Install `boto3-stubs[lookoutvision]` in your environment:
  `python -m pip install 'boto3-stubs[lookoutvision]'`

Both type checking and auto-complete should work for `LookoutforVision`
service. No explicit type annotations required, write your `boto3` code as
usual. Auto-complete can be slow on big projects or if you have a lot of
installed `boto3-stubs` submodules.

<a id="other-ides"></a>

### Other IDEs

Not tested, but as long as your IDE supports `mypy` or `pyright`, everything
should work.

<a id="mypy"></a>

### mypy

- Install `mypy`: `python -m pip install mypy`
- Install `boto3-stubs[lookoutvision]` in your environment:
  `python -m pip install 'boto3-stubs[lookoutvision]'`
- Run `mypy` as usual

Type checking should work for `LookoutforVision` service. No explicit type
annotations required, write your `boto3` code as usual.

<a id="pyright"></a>

### pyright

- Install `pyright`: `yarn global add pyright`
- Install `boto3-stubs[lookoutvision]` in your environment:
  `python -m pip install 'boto3-stubs[lookoutvision]'`
- Optionally, you can install `boto3-stubs` to `typings` folder.

Type checking should work for `LookoutforVision` service. No explicit type
annotations required, write your `boto3` code as usual.

<a id="explicit-type-annotations"></a>

## Explicit type annotations

<a id="client-annotations"></a>

### Client annotations

`LookoutforVisionClient` provides annotations for
`boto3.client("lookoutvision")`.

```python
import boto3

from mypy_boto3_lookoutvision import LookoutforVisionClient

client: LookoutforVisionClient = boto3.client("lookoutvision")

# now client usage is checked by mypy and IDE should provide code auto-complete

# works for session as well
session = boto3.session.Session(region="us-west-1")
session_client: LookoutforVisionClient = session.client("lookoutvision")
```

<a id="paginators-annotations"></a>

### Paginators annotations

`mypy_boto3_lookoutvision.paginator` module contains type annotations for all
paginators.

```python
from mypy_boto3_lookoutvision import LookoutforVisionClient
from mypy_boto3_lookoutvision.paginator import (
    ListDatasetEntriesPaginator,
    ListModelPackagingJobsPaginator,
    ListModelsPaginator,
    ListProjectsPaginator,
)

client: LookoutforVisionClient = boto3.client("lookoutvision")

# Explicit type annotations are optional here
# Type should be correctly discovered by mypy and IDEs
# VSCode requires explicit type annotations
list_dataset_entries_paginator: ListDatasetEntriesPaginator = client.get_paginator("list_dataset_entries")
list_model_packaging_jobs_paginator: ListModelPackagingJobsPaginator = client.get_paginator("list_model_packaging_jobs")
list_models_paginator: ListModelsPaginator = client.get_paginator("list_models")
list_projects_paginator: ListProjectsPaginator = client.get_paginator("list_projects")
```

<a id="literals"></a>

### Literals

`mypy_boto3_lookoutvision.literals` module contains literals extracted from
shapes that can be used in user code for type checking.

```python
from mypy_boto3_lookoutvision.literals import (
    DatasetStatusType,
    ListDatasetEntriesPaginatorName,
    ListModelPackagingJobsPaginatorName,
    ListModelsPaginatorName,
    ListProjectsPaginatorName,
    ModelHostingStatusType,
    ModelPackagingJobStatusType,
    ModelStatusType,
    TargetDeviceType,
    TargetPlatformAcceleratorType,
    TargetPlatformArchType,
    TargetPlatformOsType,
    ServiceName,
    PaginatorName,
)

def check_value(value: DatasetStatusType) -> bool:
    ...
```

<a id="typed-dictionaries"></a>

### Typed dictionaries

`mypy_boto3_lookoutvision.type_defs` module contains structures and shapes
assembled to typed dictionaries for additional type checking.

```python
from mypy_boto3_lookoutvision.type_defs import (
    CreateDatasetRequestRequestTypeDef,
    CreateDatasetResponseTypeDef,
    CreateModelRequestRequestTypeDef,
    CreateModelResponseTypeDef,
    CreateProjectRequestRequestTypeDef,
    CreateProjectResponseTypeDef,
    DatasetDescriptionTypeDef,
    DatasetGroundTruthManifestTypeDef,
    DatasetImageStatsTypeDef,
    DatasetMetadataTypeDef,
    DatasetSourceTypeDef,
    DeleteDatasetRequestRequestTypeDef,
    DeleteModelRequestRequestTypeDef,
    DeleteModelResponseTypeDef,
    DeleteProjectRequestRequestTypeDef,
    DeleteProjectResponseTypeDef,
    DescribeDatasetRequestRequestTypeDef,
    DescribeDatasetResponseTypeDef,
    DescribeModelPackagingJobRequestRequestTypeDef,
    DescribeModelPackagingJobResponseTypeDef,
    DescribeModelRequestRequestTypeDef,
    DescribeModelResponseTypeDef,
    DescribeProjectRequestRequestTypeDef,
    DescribeProjectResponseTypeDef,
    DetectAnomaliesRequestRequestTypeDef,
    DetectAnomaliesResponseTypeDef,
    DetectAnomalyResultTypeDef,
    GreengrassConfigurationTypeDef,
    GreengrassOutputDetailsTypeDef,
    ImageSourceTypeDef,
    InputS3ObjectTypeDef,
    ListDatasetEntriesRequestRequestTypeDef,
    ListDatasetEntriesResponseTypeDef,
    ListModelPackagingJobsRequestRequestTypeDef,
    ListModelPackagingJobsResponseTypeDef,
    ListModelsRequestRequestTypeDef,
    ListModelsResponseTypeDef,
    ListProjectsRequestRequestTypeDef,
    ListProjectsResponseTypeDef,
    ListTagsForResourceRequestRequestTypeDef,
    ListTagsForResourceResponseTypeDef,
    ModelDescriptionTypeDef,
    ModelMetadataTypeDef,
    ModelPackagingConfigurationTypeDef,
    ModelPackagingDescriptionTypeDef,
    ModelPackagingJobMetadataTypeDef,
    ModelPackagingOutputDetailsTypeDef,
    ModelPerformanceTypeDef,
    OutputConfigTypeDef,
    OutputS3ObjectTypeDef,
    PaginatorConfigTypeDef,
    ProjectDescriptionTypeDef,
    ProjectMetadataTypeDef,
    ResponseMetadataTypeDef,
    S3LocationTypeDef,
    StartModelPackagingJobRequestRequestTypeDef,
    StartModelPackagingJobResponseTypeDef,
    StartModelRequestRequestTypeDef,
    StartModelResponseTypeDef,
    StopModelRequestRequestTypeDef,
    StopModelResponseTypeDef,
    TagResourceRequestRequestTypeDef,
    TagTypeDef,
    TargetPlatformTypeDef,
    UntagResourceRequestRequestTypeDef,
    UpdateDatasetEntriesRequestRequestTypeDef,
    UpdateDatasetEntriesResponseTypeDef,
)

def get_structure() -> CreateDatasetRequestRequestTypeDef:
    return {
      ...
    }
```

<a id="versioning"></a>

## Versioning

`mypy-boto3-lookoutvision` version is the same as related `boto3` version and
follows [PEP 440](https://www.python.org/dev/peps/pep-0440/) format.

<a id="documentation"></a>

## Documentation

All type annotations can be found in
[mypy-boto3-lookoutvision docs](https://vemel.github.io/boto3_stubs_docs/mypy_boto3_lookoutvision/)

<a id="support-and-contributing"></a>

## Support and contributing

This package is auto-generated. Please reports any bugs or request new features
in [mypy-boto3-builder](https://github.com/vemel/mypy_boto3_builder/issues/)
repository.
